<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['polka-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['polka_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['polka_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['polka'])) {puterror($result2['skin'],$TEXT['error-polka1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['polka'])>255) {puterror($result2['skin'],$TEXT['error-polka2']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['polka'])) {$polka=trim($_POST['polka']);}
  else {$polka="";}
if(empty($polka)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['polka'] = rep($_POST['polka']);
$_POST['polka_id'] = rep($_POST['polka_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`polka_id`) AS c_polka_id FROM `tbl_polka` WHERE `polka`='".$_POST['polka']."' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_polka_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

//*************************************
//Информация для лога
$query10 = "SELECT `polka` FROM `tbl_polka` WHERE `polka_id`='".$_POST['polka_id']."' ";
 $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl8']); require_once "../utils/bottom_adm.php"; exit();}
   $result_izd = mysqli_fetch_array($result10);

$ip = $_SERVER['REMOTE_ADDR'];
$doing = $TEXT['log-polka3'];
$what = $result_izd['polka'].$TEXT['log-na'].$_POST['polka'].$TEXT['log-id'].$_POST['polka_id'];
$who = $result2['familiya']." ".$result2['name'];
//*************************************
$query = "UPDATE `tbl_polka` SET `polka` = '".$_POST['polka']."' WHERE `polka_id`='".$_POST['polka_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl8']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>